/* Override this file to customise the theme's CSS for your site */
/* Headings */
h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: 1.1rem;
  margin: 1.5rem 0 0 0;
  font-weight: bold;
  color: var(--base05);
  /* font-family: "JetBrains Mono"; */
  /* color: var(--base0D); */
}

/* body { */
/*   font-family: "JetBrains Mono"; */
/* } */

/* quote block is too light */
blockquote {
  color: var(--base03);
}

:root {
  /* Logo */
  --logo: var(--base0D);
  /* --font-monospace: "Fira Mono", monospace; */
  --font-monospace: "JetBrains Mono", monospace;
}

/* page width */
.page {
  max-width: 74rem; /* default 64rem */
}

/* inner about section logo icon */
.about__logo {
  height: 7.5rem;
}

.about__title {
  /* display: inline; */
  /* display: flex; */
  vertical-align: bottom;
  text-align: center;
}

/* inline paragraph code blocks + some color */
p > code {
  color: var(--base05);
}

.page__logo-inner {
  background: var(--base05);
  color: var(--base00);
}

.page__logo-inner:before,
.page__logo-inner:after,
.page__logo {
  color: var(--base00);
}

.active,
.content__header h1,
.about__title,
h1::before,
h2::before,
h3::before,
h4::before,
h5::before,
h6::before {
  color: var(--base05);
}

.highlight pre {
  background-color: var(--base01) !important;
}

.highlight pre,
.highlight pre code,
.highlight pre code span,
.highlight span[style] {
  color: var(--base05) !important;
  background-color: var(--base01) !important;
}

.highlight span[style] {
  color: inherit !important;
}

/* JetBrainsMono font */
@font-face {
  font-family: "JetBrains Mono";
  src:
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff2/JetBrainsMono-Bold-Italic.woff2")
      format("woff2"),
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff/JetBrainsMono-Bold-Italic.woff")
      format("woff");
  font-weight: 700;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "JetBrains Mono";
  src:
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff2/JetBrainsMono-Bold.woff2")
      format("woff2"),
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff/JetBrainsMono-Bold.woff")
      format("woff");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "JetBrains Mono";
  src:
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff2/JetBrainsMono-ExtraBold-Italic.woff2")
      format("woff2"),
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff/JetBrainsMono-ExtraBold-Italic.woff")
      format("woff");
  font-weight: 800;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "JetBrains Mono";
  src:
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff2/JetBrainsMono-ExtraBold.woff2")
      format("woff2"),
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff/JetBrainsMono-ExtraBold.woff")
      format("woff");
  font-weight: 800;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "JetBrains Mono";
  src:
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff2/JetBrainsMono-Italic.woff2")
      format("woff2"),
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff/JetBrainsMono-Italic.woff")
      format("woff");
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "JetBrains Mono";
  src:
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff2/JetBrainsMono-Medium-Italic.woff2")
      format("woff2"),
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff/JetBrainsMono-Medium-Italic.woff")
      format("woff");
  font-weight: 500;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: "JetBrains Mono";
  src:
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff2/JetBrainsMono-Medium.woff2")
      format("woff2"),
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff/JetBrainsMono-Medium.woff")
      format("woff");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "JetBrains Mono";
  src:
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff2/JetBrainsMono-Regular.woff2")
      format("woff2"),
    url("https://cdn.jsdelivr.net/gh/JetBrains/JetBrainsMono/web/woff/JetBrainsMono-Regular.woff")
      format("woff");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
